Bug 149099 - [UPDATE] net-mgmt/p5-Net-SNMP: update to 6.0.0
Summary: [UPDATE] net-mgmt/p5-Net-SNMP: update to 6.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-30 10:10 UTC by takefu
Modified: 2010-09-18 16:50 UTC (History)
1 user (show)

See Also:


Attachments
p5-Net-SNMP.diff (3.42 KB, patch)
2010-07-30 10:10 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2010-07-30 10:10:06 UTC
update to 5.2.0 -> 6.0.0

Port maintainer (lth@FreeBSD.org) is cc'd.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-30 10:11:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 takefu 2010-08-12 06:16:03 UTC
Bug #59160 for Net-SNMP: Attribute "locked" is deprecated
https://rt.cpan.org/Public/Bug/Display.html?id=59160


---  Net_SNMP.pm.diff.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	files
#	files/patch-lib_Net_SNMP.pm
#
echo c - files
mkdir -p files > /dev/null 2>&1
echo x - files/patch-lib_Net_SNMP.pm
sed 's/^X//' >files/patch-lib_Net_SNMP.pm << '95c06e8d31b444cb603916e9345531e5'
X--- lib/Net/SNMP.pm.locked	2009-09-09 17:13:02.000000000 +0200
X+++ lib/Net/SNMP.pm	2010-07-07 14:08:40.000000000 +0200
X@@ -597,7 +597,7 @@
X
X =cut
X
X-sub close : locked : method
X+sub close : method
X {
X    my ($this) = @_;
X
X@@ -661,7 +661,7 @@
X
X =cut
X
X-sub get_request : locked : method
X+sub get_request : method
X {
X    my $this = shift;
X
X@@ -714,7 +714,7 @@
X
X =cut
X
X-sub get_next_request : locked : method
X+sub get_next_request : method
X {
X    my $this = shift;
X
X@@ -770,7 +770,7 @@
X
X =cut
X
X-sub set_request : locked : method
X+sub set_request : method
X {
X    my $this = shift;
X
X@@ -875,7 +875,7 @@
X
X =cut
X
X-sub trap : locked : method
X+sub trap : method
X {
X    my $this = shift;
X
X@@ -958,7 +958,7 @@
X
X =cut
X
X-sub get_bulk_request : locked : method
X+sub get_bulk_request : method
X {
X    my $this = shift;
X
X@@ -1034,7 +1034,7 @@
X
X =cut
X
X-sub inform_request : locked : method
X+sub inform_request : method
X {
X    my $this = shift;
X
X@@ -1109,7 +1109,7 @@
X
X =cut
X
X-sub snmpv2_trap : locked : method
X+sub snmpv2_trap : method
X {
X    my $this = shift;
X
X@@ -1174,7 +1174,7 @@
X
X =cut
X
X-sub get_table : locked : method
X+sub get_table : method
X {
X    my $this = shift;
X
X@@ -1327,7 +1327,7 @@
X
X =cut
X
X-sub get_entries : locked : method
X+sub get_entries : method
X {
X    my $this = shift;
X
X@@ -1559,7 +1559,7 @@
X
X =cut
X
X-sub version : locked : method
X+sub version : method
X {
X    my ($this) = @_;
X
X@@ -1577,7 +1577,7 @@
X
X =cut
X
X-sub error : locked : method
X+sub error : method
X {
X    return $_[0]->{_error} || q{};
X }
X@@ -1591,7 +1591,7 @@
X
X =cut
X
X-sub hostname : locked : method
X+sub hostname : method
X {
X    return $_[0]->{_hostname};
X }
X@@ -1605,7 +1605,7 @@
X
X =cut
X
X-sub error_status : locked : method
X+sub error_status : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->error_status() : 0;
X }
X@@ -1619,7 +1619,7 @@
X
X =cut
X
X-sub error_index : locked : method
X+sub error_index : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->error_index() : 0;
X }
X@@ -1641,7 +1641,7 @@
X
X =cut
X
X-sub var_bind_list : locked : method
X+sub var_bind_list : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->var_bind_list() : undef;
X }
X@@ -1661,7 +1661,7 @@
X
X =cut
X
X-sub var_bind_names : locked : method
X+sub var_bind_names : method
X {
X    return defined($_[0]->{_pdu}) ? @{$_[0]->{_pdu}->var_bind_names()} : ();
X }
X@@ -1681,7 +1681,7 @@
X
X =cut
X
X-sub var_bind_types : locked : method
X+sub var_bind_types : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->var_bind_types() : undef;
X }
X@@ -1702,7 +1702,7 @@
X
X =cut
X
X-sub timeout : locked : method
X+sub timeout : method
X {
X    my $this = shift;
X
X@@ -1732,7 +1732,7 @@
X
X =cut
X
X-sub retries : locked : method
X+sub retries : method
X {
X    my $this = shift;
X
X@@ -1769,7 +1769,7 @@
X
X =cut
X
X-sub max_msg_size : locked : method
X+sub max_msg_size : method
X {
X    my $this = shift;
X
X@@ -1876,7 +1876,7 @@
X
X =cut
X
X-sub translate : locked : method
X+sub translate : method
X {
X    my ($this, $mask) = @_;
X
X@@ -2001,22 +2001,22 @@
X    return debug(undef, $_[0]);
X }
X
X-sub pdu : locked : method
X+sub pdu : method
X {
X    return $_[0]->{_pdu};
X }
X
X-sub nonblocking : locked : method
X+sub nonblocking : method
X {
X    return $_[0]->{_nonblocking};
X }
X
X-sub security : locked : method
X+sub security : method
X {
X    return $_[0]->{_security};
X }
X
X-sub transport : locked : method
X+sub transport : method
X {
X    return $_[0]->{_transport};
X }
95c06e8d31b444cb603916e9345531e5
exit
---  Net_SNMP.pm.diff.shar ends here ---
Comment 3 takefu 2010-08-12 06:16:03 UTC
Bug #59160 for Net-SNMP: Attribute "locked" is deprecated
https://rt.cpan.org/Public/Bug/Display.html?id=59160


---  Net_SNMP.pm.diff.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	files
#	files/patch-lib_Net_SNMP.pm
#
echo c - files
mkdir -p files > /dev/null 2>&1
echo x - files/patch-lib_Net_SNMP.pm
sed 's/^X//' >files/patch-lib_Net_SNMP.pm << '95c06e8d31b444cb603916e9345531e5'
X--- lib/Net/SNMP.pm.locked	2009-09-09 17:13:02.000000000 +0200
X+++ lib/Net/SNMP.pm	2010-07-07 14:08:40.000000000 +0200
X@@ -597,7 +597,7 @@
X
X =cut
X
X-sub close : locked : method
X+sub close : method
X {
X    my ($this) = @_;
X
X@@ -661,7 +661,7 @@
X
X =cut
X
X-sub get_request : locked : method
X+sub get_request : method
X {
X    my $this = shift;
X
X@@ -714,7 +714,7 @@
X
X =cut
X
X-sub get_next_request : locked : method
X+sub get_next_request : method
X {
X    my $this = shift;
X
X@@ -770,7 +770,7 @@
X
X =cut
X
X-sub set_request : locked : method
X+sub set_request : method
X {
X    my $this = shift;
X
X@@ -875,7 +875,7 @@
X
X =cut
X
X-sub trap : locked : method
X+sub trap : method
X {
X    my $this = shift;
X
X@@ -958,7 +958,7 @@
X
X =cut
X
X-sub get_bulk_request : locked : method
X+sub get_bulk_request : method
X {
X    my $this = shift;
X
X@@ -1034,7 +1034,7 @@
X
X =cut
X
X-sub inform_request : locked : method
X+sub inform_request : method
X {
X    my $this = shift;
X
X@@ -1109,7 +1109,7 @@
X
X =cut
X
X-sub snmpv2_trap : locked : method
X+sub snmpv2_trap : method
X {
X    my $this = shift;
X
X@@ -1174,7 +1174,7 @@
X
X =cut
X
X-sub get_table : locked : method
X+sub get_table : method
X {
X    my $this = shift;
X
X@@ -1327,7 +1327,7 @@
X
X =cut
X
X-sub get_entries : locked : method
X+sub get_entries : method
X {
X    my $this = shift;
X
X@@ -1559,7 +1559,7 @@
X
X =cut
X
X-sub version : locked : method
X+sub version : method
X {
X    my ($this) = @_;
X
X@@ -1577,7 +1577,7 @@
X
X =cut
X
X-sub error : locked : method
X+sub error : method
X {
X    return $_[0]->{_error} || q{};
X }
X@@ -1591,7 +1591,7 @@
X
X =cut
X
X-sub hostname : locked : method
X+sub hostname : method
X {
X    return $_[0]->{_hostname};
X }
X@@ -1605,7 +1605,7 @@
X
X =cut
X
X-sub error_status : locked : method
X+sub error_status : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->error_status() : 0;
X }
X@@ -1619,7 +1619,7 @@
X
X =cut
X
X-sub error_index : locked : method
X+sub error_index : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->error_index() : 0;
X }
X@@ -1641,7 +1641,7 @@
X
X =cut
X
X-sub var_bind_list : locked : method
X+sub var_bind_list : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->var_bind_list() : undef;
X }
X@@ -1661,7 +1661,7 @@
X
X =cut
X
X-sub var_bind_names : locked : method
X+sub var_bind_names : method
X {
X    return defined($_[0]->{_pdu}) ? @{$_[0]->{_pdu}->var_bind_names()} : ();
X }
X@@ -1681,7 +1681,7 @@
X
X =cut
X
X-sub var_bind_types : locked : method
X+sub var_bind_types : method
X {
X    return defined($_[0]->{_pdu}) ? $_[0]->{_pdu}->var_bind_types() : undef;
X }
X@@ -1702,7 +1702,7 @@
X
X =cut
X
X-sub timeout : locked : method
X+sub timeout : method
X {
X    my $this = shift;
X
X@@ -1732,7 +1732,7 @@
X
X =cut
X
X-sub retries : locked : method
X+sub retries : method
X {
X    my $this = shift;
X
X@@ -1769,7 +1769,7 @@
X
X =cut
X
X-sub max_msg_size : locked : method
X+sub max_msg_size : method
X {
X    my $this = shift;
X
X@@ -1876,7 +1876,7 @@
X
X =cut
X
X-sub translate : locked : method
X+sub translate : method
X {
X    my ($this, $mask) = @_;
X
X@@ -2001,22 +2001,22 @@
X    return debug(undef, $_[0]);
X }
X
X-sub pdu : locked : method
X+sub pdu : method
X {
X    return $_[0]->{_pdu};
X }
X
X-sub nonblocking : locked : method
X+sub nonblocking : method
X {
X    return $_[0]->{_nonblocking};
X }
X
X-sub security : locked : method
X+sub security : method
X {
X    return $_[0]->{_security};
X }
X
X-sub transport : locked : method
X+sub transport : method
X {
X    return $_[0]->{_transport};
X }
95c06e8d31b444cb603916e9345531e5
exit
---  Net_SNMP.pm.diff.shar ends here ---
Comment 4 dfilter service freebsd_committer 2010-09-18 16:45:21 UTC
lth         2010-09-18 15:45:15 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/p5-Net-SNMP Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 6.0.1
  
  PR:             ports/149099
  Submitted by:   Takefu <takefu@airport.fm>
  
  Revision  Changes    Path
  1.21      +4 -3      ports/net-mgmt/p5-Net-SNMP/Makefile
  1.12      +3 -3      ports/net-mgmt/p5-Net-SNMP/distinfo
  1.2       +7 -8      ports/net-mgmt/p5-Net-SNMP/pkg-descr
  1.6       +8 -4      ports/net-mgmt/p5-Net-SNMP/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Lars Thegler freebsd_committer 2010-09-18 16:46:01 UTC
State Changed
From-To: open->closed

Updated to 6.0.1. Thanks!